# $Revision: 1.26 $, $Date: 2004/07/07 12:50:33 $
Summary:	Motif HTML widget
Summary(pl):	Widget do HTML-a oparty o Motif
Name:		XmHTML
Version:	1.1.7
Release:	4
License:	LGPL
Group:		X11/Libraries
Source0:	http://www.xs4all.nl/~ripley/XmHTML/dist/%{name}-%{version}.tar.gz
# Source0-md5:	6d079435fb954bb7878f4dd0d3f7b8d8
Patch0:		%{name}-am.patch
Patch1:		%{name}-macro.patch
URL:		http://www.xs4all.nl/~ripley/XmHTML/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRequires:	motif-devel >= 1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XmHTML provides a widget capable of displaying HTML 3.2 conforming
text.

%description -l pl
XmHTML zawiera widget wywietlajcy HTML w wersji 3.2.

%package devel
Summary:	Development package of XmHTML
Summary(pl):	Pliki nagwkowe XmHTML
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Requires:	libjpeg-devel
Requires:	libpng-devel
Requires:	motif-devel >= 1.2

%description devel
Headers needed to compile XmHTML programs.

%description devel -l pl
Pliki nagwkowe potrzebne do kompilowania programw korzystajcych z
XmHTML.

%package static
Summary:	Static version of XmHTML library
Summary(pl):	Statyczna biblioteka XmHTML
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of XmHTML library.

%description static -l pl
Statyczna wersja biblioteki XmHTML.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
# Argh! automake stuff outdated, imake stuff outdated even more,
# makefiles not outdated but don't support shared libraries :/
# Use automake with some patches/workarounds/etc
cd lib
mv -f common/*.c .
mv -f Motif/*.c .
cd ..

%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
CFLAGS="%{rpmcflags} \
	-I`pwd`/include/XmHTML -I`pwd`/include/common \
	%{!?debug:-DNDEBUG -Dproduction} -DVERSION=1107"
%configure

cd lib
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/XmHTML

%{__make} install -C lib \
	DESTDIR=$RPM_BUILD_ROOT

install include/XmHTML/{Balloon,HTML,HTMLStrings,XCC,XmHTML}.h \
	include/common/LZWStream.h \
	$RPM_BUILD_ROOT%{_includedir}/XmHTML

rm -f html/man/man.{map,tmpl}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc APPS BUG-REPORTING CHANGES DEBUGGING FEEDBACK FIXES
%doc README THANKS TODO docs/{QUOTES,README.*,REASONS,progressive.txt}
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc html/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/XmHTML

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: XmHTML.spec,v $
Revision 1.26  2004/07/07 12:50:33  ankry
- rel. 3 to rebuild with openmotif-libs-2.2.3-2

Revision 1.25  2004/02/24 01:11:54  ankry
- pl fixes, cosmetics

Revision 1.24  2004/02/09 21:55:23  qboosh
- -devel R: libjpeg-devel,libpng-devel

Revision 1.23  2004/02/09 21:49:45  qboosh
- builds OK with openmotif

Revision 1.22  2004/01/17 20:38:18  qboosh
- release 3 for Ac

Revision 1.21  2003/08/18 08:07:53  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.20  2003/07/07 10:53:37  qboosh
- dropped libpng 1.2.2 support (from spec and am patch)

Revision 1.19  2003/07/06 23:27:15  blues
- many small fixes, mostly inpired by kloczek

Revision 1.18  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.17  2003/05/25 05:45:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/01/18 22:58:55  juandon
- removed two lines with define

Revision 1.15  2002/11/25 14:12:19  ankry
- massive attack: no need for 755 for *.la

Revision 1.14  2002/10/09 13:14:15  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.13  2002/06/23 20:32:20  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.12  2002/06/05 03:55:49  kloczek
- use new %doc,
- add lesstif-devel to Requires list in devel,
- "rm -f missing" on top %build.

Revision 1.11  2002/05/21 23:12:39  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/04/28 09:42:53  qboosh
- updated am patch to work with current auto*, added libpng 1.2.2 support
- release 2

Revision 1.9  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.8  2002/02/22 23:28:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:12:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/09/26 09:16:44  qboosh
- adapterized, added BuildRequires: libtool

Revision 1.5  2001/07/18 03:20:05  kloczek
- spec adapterized.

Revision 1.4  2001/04/30 16:05:14  kloczek
- added using %%{rpmcflags} macro.

Revision 1.3  2001/03/19 01:15:32  kloczek
- (my) typo.

Revision 1.2  2001/03/19 01:02:33  kloczek
- use "-DNDEBUG -Dproduction" in CFLAGS depending on %%{debug},
- simplification in %install (use "-C lib" make option istead cd to lib),
- remove LICENSE from %doc (well known license statment is in License field).

Revision 1.1  2001/03/18 00:32:13  qboosh
- spec taken from redhat-contrib, partially rewritten, updated to 1.1.7

* Fri Nov 06 1998 Christopher Seawood <cls@seawood.org>
- Version 1.1.5
